import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';


const routes: Routes = [{
  path: 'color',
  loadChildren: () => import('./modules/colors/colors.module').then(m => m.ColorsModule)
}, {
  path: 'account',
  loadChildren: () => import('./modules/accounts/accounts.module').then(m => m.AccountsModule)
}, {
  path: 'employee',
  loadChildren: () => import('./modules/employees/employees.module').then(m => m.EmployeesModule)
}, {
  path: 'group',
  loadChildren: () => import('./modules/groups/groups.module').then(m => m.GroupsModule)
}, {
  path: 'inventory',
  loadChildren: () => import('./modules/inventory/inventory.module').then(m => m.InventoryModule)
}];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule {
}
