import {NgModule} from '@angular/core';
import {HeaderComponent} from './components/header/header.component';
import {MatTabsModule} from "@angular/material/tabs";
import {MatCardModule} from "@angular/material/card";
import {MatButtonModule} from "@angular/material/button";
import {MatFormFieldModule} from "@angular/material/form-field";
import {MatInputModule} from "@angular/material/input";
import {MatIconModule} from "@angular/material/icon";
import {ReactiveFormsModule} from "@angular/forms";
import {EmployeeInfoComponent} from './components/employee-info/employee-info.component';
import {LabeledIconComponent} from './components/labeled-icon/labeled-icon.component';
import {MatTableModule} from "@angular/material/table";
import {CommonModule} from "@angular/common";
import {HttpClientModule} from "@angular/common/http";
import {MatCheckboxModule} from "@angular/material/checkbox";
import {MatListModule} from "@angular/material/list";
import {ConfirmBoxComponent} from './components/confirm-box/confirm-box.component';
import {PermissionsListComponent} from './components/permissions-list/permissions-list.component';
import {MatChipsModule} from "@angular/material/chips";
import {PermissionsFieldComponent} from "./components/permissions-field/permissions-field.component";
import { NavComponent } from './components/nav/nav.component';


@NgModule({
  declarations: [HeaderComponent, EmployeeInfoComponent, LabeledIconComponent, ConfirmBoxComponent, PermissionsListComponent, PermissionsFieldComponent, NavComponent],
    exports: [
        CommonModule,
        HttpClientModule,
        HeaderComponent,
        MatCardModule,
        MatButtonModule,
        MatFormFieldModule,
        MatInputModule,
        MatIconModule,
        MatTableModule,
        MatCheckboxModule,
        MatListModule,
        ReactiveFormsModule,
        LabeledIconComponent,
        ConfirmBoxComponent,
        PermissionsListComponent,
        PermissionsFieldComponent,
        NavComponent
    ],
  imports: [
    MatTabsModule,
    MatIconModule,
    MatCardModule,
    MatButtonModule,
    MatChipsModule,
    MatCheckboxModule,
    MatFormFieldModule,
    ReactiveFormsModule,
    CommonModule
  ]
})
export class SharedModule {
}
