package dev.fyloz.trial.colorrecipesexplorer.service.model;

import dev.fyloz.trial.colorrecipesexplorer.model.Material;
import dev.fyloz.trial.colorrecipesexplorer.model.MixQuantity;
import dev.fyloz.trial.colorrecipesexplorer.service.AbstractJavaService;
import dev.fyloz.trial.colorrecipesexplorer.repository.MixQuantityRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class MixQuantityService extends AbstractJavaService<MixQuantity, MixQuantityRepository> {

    public MixQuantityService() {
        super(MixQuantity.class);
    }

    @Autowired
    public void setMixQuantityDao(MixQuantityRepository mixQuantityRepository) {
        this.repository = mixQuantityRepository;
    }

    /**
     * Vérifie s'il y a un mélange qui contient un produit.
     *
     * @param material Le produit
     * @return S'il y a un mélange qui contient le produit
     */
    public boolean existsByMaterial(Material material) {
        return repository.existsByMaterial(material);
    }
}
